> For the complete documentation index, see [llms.txt](https://docs.truecaller.com/truecaller-for-business/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.truecaller.com/truecaller-for-business/spam-management/how-does-spam-detection-happen-on-the-truecaller-app.md).

# How does spam detection happen on the Truecaller app?

Truecaller spam lists are created by our user community which chooses to report unsolicited calls and SMS messages. By enabling the creation of a spam directory it helps our users to avoid:&#x20;

* Fraud or criminal activity&#x20;
* Abusive or obscene calls &#x20;
* Crank calls&#x20;
* Unsolicited telemarketing calls&#x20;
* Robocalls&#x20;
* Phone spam&#x20;
* Scams (like pyramid schemes, tech-support scams, impersonation of financial institutions)

We collect voluntary spam reports from our users to help protect the community from fraud, crime, abuse, and unwanted calls or messages. When someone blocks a number, they can also suggest a name for the caller or sender. Over time, if a number is repeatedly reported as spam by multiple users, we flag it accordingly. This allows us to alert others when they receive potentially harmful or unsolicited calls or messages.

Apart from blocking and marking numbers as spam, Truecaller also allows users to inform us if the activity associated with a number is not spam. Our algorithms also factor in these positive feedbacks while evaluating if a number needs to be shown as spam/not spam to the rest of the Truecaller user base.

Click here to know more about [Truecaller's Spam and Call Blocking Feature](https://www.truecaller.com/spam-blocking?utm_source=WebMain\&utm_medium=Footer).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.truecaller.com/truecaller-for-business/spam-management/how-does-spam-detection-happen-on-the-truecaller-app.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
